com.fasterxml.jackson.databind.ext

## Class DOMDeserializer.NodeDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<T>
        - - com.fasterxml.jackson.databind.ext.DOMDeserializer<Node>
          - - com.fasterxml.jackson.databind.ext.DOMDeserializer.NodeDeserializer

All Implemented Interfaces:
  NullValueProvider, Serializable

Enclosing class:
  DOMDeserializer<T>

    public static class DOMDeserializer.NodeDeserializer
    extends DOMDeserializer<Node>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ext.DOMDeserializer

`DOMDeserializer.DocumentDeserializer, DOMDeserializer.NodeDeserializer`

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`FromStringDeserializer.Std`

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
Constructor and Description
`DOMDeserializer.NodeDeserializer()`

### Method Summary

Methods
`Node` `_deserialize(String value, DeserializationContext ctxt)`

### Methods inherited from class com.fasterxml.jackson.databind.ext.DOMDeserializer

`documentBuilder, parse`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`_deserializeEmbedded, _deserializeFromEmptyString, deserialize, findDeserializer, types`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserialize, deserializeWithType, getEmptyAccessPattern, getNullAccessPattern, supportsUpdate`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_byteOverflow, _coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _parseBooleanFromInt, _parseBooleanPrimitive, _parseDate, _parseDate, _parseDoublePrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _shortOverflow, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMDeserializer.NodeDeserializer

    public DOMDeserializer.NodeDeserializer()

### Method Detail

#### _deserialize

    public Node _deserialize(String value,
                    DeserializationContext ctxt)
                      throws IllegalArgumentException

Specified by:
  `_deserialize` in class `DOMDeserializer<Node>`
Throws:
  `IllegalArgumentException`